GET /location/{locationId}/openingHours

This endpoint allows you to retrieve opening hours for a specific location. The response includes location opening hours and, if applicable, channel link opening hours. Please note that if channel link doesn't have its own opening hours defined, it inherits location opening hours.

Path parameters

  • locationId string Required

Responses

  • 200 application/json

    Successful response

    Hide response attributes Show response attributes object
    • _id string
    • status string
    • locationName string
    • tags array[object]
    • openingHours array[object]
      Hide openingHours attributes Show openingHours attributes object
      • dayOfWeek integer

        Default value is 0.

      • startTime string
      • endTime string
    • channels array[object]
      Hide channels attributes Show channels attributes object
      • _id string
      • status integer

        Default value is 0.

      • channelName string
      • channel integer

        Default value is 0.

      • tags array[object]
      • openingHours array[object]
  • 400 application/json

    Bad Request

GET /location/{locationId}/openingHours
curl \
 --request GET 'https://api.staging.deliverect.com/location/{locationId}/openingHours' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "_id": "633d62de0f1565acdf**3bdf",
  "status": "ACTIVE",
  "locationName": "Location 1",
  "tags": [],
  "openingHours": [
    {
      "dayOfWeek": 1,
      "startTime": "00:00",
      "endTime": "23:59"
    },
    {
      "dayOfWeek": 2,
      "startTime": "00:00",
      "endTime": "23:59"
    },
    {
      "dayOfWeek": 3,
      "startTime": "00:00",
      "endTime": "23:59"
    }
  ],
  "channels": [
    {
      "_id": "633d6******565acdf893bf1",
      "status": 2,
      "channelName": "Channel 1",
      "channel": 1,
      "tags": [],
      "openingHours": []
    },
    {
      "_id": "6476183fe******c858de0b0",
      "status": 2,
      "channelName": "Channel 2",
      "channel": 10057,
      "tags": [],
      "openingHours": []
    },
    {
      "_id": "669519a1fe******040bdaf2",
      "status": 2,
      "channelName": "Channel 3",
      "channel": 10000,
      "tags": [],
      "openingHours": []
    }
  ]
}
Response examples (400)
{}